package com.energy.online.data.service;

import com.energy.online.data.service.common.mappers.MyMapper;
import com.energy.online.data.service.listener.J60870ClientListener;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import tk.mybatis.spring.annotation.MapperScan;


@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableAspectJAutoProxy(exposeProxy = true)
@EnableTransactionManagement
@EnableAsync
@MapperScan(value = "com.energy.online.data.service.mapper", markerInterface = MyMapper.class)
@Slf4j
public class ManageAppApplication {

    public static void main(String[] args) {
        SpringApplication.run(ManageAppApplication.class, args);
        log.info("============= energy-online Application Service Start Success =====>");
    }



}
