package com.energy.online.data.service.mapper;

import com.energy.online.data.service.common.mappers.MyMapper;
import com.energy.online.data.service.dto.MeasurementDto;
import com.energy.online.data.service.po.MeasurementPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface MeasurementMapper extends MyMapper<MeasurementPO> {


    /**
     * 通过表明查询表是否存在
     * @param tableName
     * @return
     */
    int selectTableCountByTableName(@Param("tableName") String tableName);

    /**
     * 动态创建表
     * @param tableName
     * @return
     */
    int createTable(@Param("tableName") String tableName);

    /**
     * 插入数据
     * @param measurementDto
     * @return
     */
    int insertTableData(@Param("item")MeasurementDto measurementDto,@Param("tableName") String tableName);

    /**
     * temp倒序获取time
     * @return
     */
    Long selectMeasurementTempByid(@Param("confId")Integer confId);


    /**
     * 删除表数据
     * @return
     */
    int truncateMeasurementTempTable();


}
