package com.energy.online.data.service.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Table(name = "measurement")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MeasurementPO {

    @Id
    @GeneratedValue(generator = "JDBC")
    @Column(name = "id")
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 收集时间
     */
    private Date receiveTime;

    /**
     * 毫秒时间
     */
    private Long time;

    /**
     * 地址coa地址，从站地址
     */
    private Integer commonAddress;

    /**
     * 数据值json
     */
    private String informationObjectData;


}
